Package org.jacoco.core.analysis

## Interface ILine

All Known Implementing Classes:
  `LineImpl`

    public interface ILine

The instruction and branch coverage of a single source line is described by this interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`ICounter` `getBranchCounter()` Returns the branches counter for this line.
`ICounter` `getInstructionCounter()` Returns the instruction counter for this line.
`int` `getStatus()` Returns the coverage status of this line, calculated from the instructions counter and branch counter.

### Method Detail

#### getInstructionCounter

    ICounter getInstructionCounter()

Returns the instruction counter for this line.

Returns:
  instruction counter

#### getBranchCounter

    ICounter getBranchCounter()

Returns the branches counter for this line.

Returns:
  branches counter

#### getStatus

    int getStatus()

Returns the coverage status of this line, calculated from the instructions counter and branch counter.

Returns:
  status of this line
See Also:
  `ICounter.EMPTY`, `ICounter.NOT_COVERED`, `ICounter.PARTLY_COVERED`, `ICounter.FULLY_COVERED`